import { SdkInfoConfig, SdkProxyInfo, SimpleProgress } from '@ohos/sdkmanager-common';
import { UniSdkInfoHandler } from './uni-sdk-info-handler';
export declare class SimpleHosPrjSdkHandler {
    private _sdkHandlerMap;
    constructor(hosPrjSdkConfig: HosPrjSdkConfig, progress?: SimpleProgress);
    getSdkHandler(hosPrjSdkType: HosPrjSdkType): UniSdkInfoHandler;
}
export declare enum HosPrjSdkType {
    HARMONYOS = 0,
    OPENHARMONY = 1
}
export declare class HosPrjSdkConfig {
    private readonly _hosSdkConfig;
    private readonly _ohosSdkConfig;
    constructor(sdkRoot: string);
    static builder(sdkRoot: string): HosPrjSdkConfig;
    sdkProxy(proxy: () => SdkProxyInfo): HosPrjSdkConfig;
    nodeHome(nodeHome: string): HosPrjSdkConfig;
    npmConfig(npmConfig: string): HosPrjSdkConfig;
    getHosSdkConfig(): SdkInfoConfig;
    getOhosSdkConfig(): SdkInfoConfig;
}
