import { ModuleInfo, PluginContext } from '@ohos/hvigor-arkts-base';
/**
 * 模块化编译场景下，处理软连接问题，给模块加载一些必要的属性信息
 */
export declare function moduleMetaInfoPlugin(extensions: string[]): {
    name: string;
    buildStart: typeof buildStart;
    load: typeof load;
    moduleParsed: typeof moduleParsed;
    beforeBuildEnd: typeof beforeBuildEnd;
};
declare function buildStart(this: PluginContext): void;
declare function load(this: PluginContext, id: string): void;
declare function moduleParsed(this: PluginContext, moduleInfo: ModuleInfo): void;
declare function beforeBuildEnd(this: PluginContext): void;
/**
 * 根据node的规则获取包的入口文件
 *
 * @param packageJsonObject oh-package.json / package.json的对象
 */
export declare function findNodeEntryFiles(packageJsonObject: any): string[];
export {};
