import { FileSet } from '@ohos/hvigor';
import { RestoolBuilderInterface } from './restool-builder-interface.js';
/**
 * 生成调用restool工具时需要的配置文件内容
 *
 * @since 2022/6/6
 */
export declare class RestoolConfigBuilder implements RestoolBuilderInterface {
    inputFiles: FileSet;
    outputFiles: FileSet;
    existsResourceDir: boolean;
    private resToolConfigObj;
    getConfigObject(): object;
    addInputVariantDir(inputVariantDir: string): RestoolBuilderInterface;
    addInputDir(inputDir: string, inputType?: string): RestoolBuilderInterface;
    private addAppInputDir;
    private addModuleInputDir;
    private addHarInputDir;
    addJsonFile(jsonFile: string): RestoolBuilderInterface;
    addModulePackName(packName: string): RestoolBuilderInterface;
    addEntryCompiledResource(inputDir: string): RestoolBuilderInterface;
    addOutputDir(outputDir: string): RestoolBuilderInterface;
    addIdsPath(idsPath: string): RestoolBuilderInterface;
    addDefinedIds(definedIds: string): RestoolBuilderInterface;
    addResTable(resTable: string): RestoolBuilderInterface;
    setIconCheck(enable: boolean): RestoolBuilderInterface;
    forceDelete(): RestoolBuilderInterface;
    incremental(): RestoolBuilderInterface;
    compressImage(): RestoolBuilderInterface;
    addOutputBak(outputBak: string): RestoolBuilderInterface;
    addModules(modules: string): RestoolBuilderInterface;
    addStartId(startId: string): RestoolBuilderInterface;
    addAppScopeResourcesDir(inputDir: string): RestoolBuilderInterface;
    addHarResourcesMap(map: Map<string, string>): RestoolBuilderInterface;
    addModuleResourcesMap(map: Map<string, string>): RestoolBuilderInterface;
    incrementalCompile(): RestoolBuilderInterface;
}
