import { TaskDetails } from '@ohos/hvigor';
import { TargetTaskService } from './service/target-task-service.js';
import { OhosHapTask } from './task/ohos-hap-task.js';
/**
 * syscap相关配置预检查任务
 */
export declare class PreCheckSyscap extends OhosHapTask {
    private _log;
    private readonly sysCapJsonPath;
    private readonly sourceRoot;
    private readonly jsonFilePath;
    constructor(targetTaskService: TargetTaskService, taskDetails: TaskDetails);
    protected doTaskAction(): void;
    initTaskDepends(): void;
    /**
     * syscap.json中production配置正则校验
     *
     * @protected
     * @param productionObj
     */
    private checkProductionSysCapRegExp;
    /**
     * syscap字段正则校验
     *
     * @param sysCap  sysCap
     * @param sysCapField sysCap.json中校验key
     * @param sysCapJsonPath  sysCap.json path
     */
    private checkFieldRegExp;
}
