import { FileSet } from '@ohos/hvigor';
import { TaskInputValue } from '@ohos/hvigor';
import { TargetTaskService } from './service/target-task-service.js';
import { OhosHapTask } from './task/ohos-hap-task.js';
/**
 * 处理module.json
 * 1. 写入ark字段
 * 2. 写入compileMode字段
 * 3. 替换target相关逻辑
 *  3.1 读取target的deviceType, 替换到module.json中
 *
 * @since 2022/1/10
 */
export declare class ProcessProfile extends OhosHapTask {
    private readonly _arkEnable;
    private readonly _deviceTypes;
    private readonly _intermediatesMergeProfile;
    private readonly _processedModuleJson;
    private _moduleTargetData;
    private _pathInfo;
    private _dependencies;
    constructor(taskService: TargetTaskService);
    initTaskDepends(): void;
    protected doTaskAction(): void;
    declareInputs(): Map<string, TaskInputValue>;
    declareInputFiles(): FileSet;
    declareOutputFiles(): FileSet;
    private mergeHspLibs;
}
