"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.resolveImportSpecifiers=void 0;const fs_1=__importDefault(require("fs")),json5_1=__importDefault(require("json5")),path_1=require("path"),url_1=require("url"),util_1=require("util"),fs_js_1=require("../../util/fs.js"),index_js_1=require("../resolve/index.js"),resolvePackageExports_js_1=require("./package/resolvePackageExports.js"),resolvePackageImports_js_1=require("./package/resolvePackageImports.js"),utils_js_1=require("./package/utils.js"),cache_js_1=require("./cache.js"),util_js_1=require("./util.js"),readFile=(0,util_1.promisify)(fs_1.default.readFile);async function getPackageJson(e,r,s,i){if(e){const s=await(0,utils_js_1.findPackageJson)(e,i);if(s&&s.pkgJson.name===r)return s}try{const e=await(0,index_js_1.resolve)(`${r}/oh-package.json5`,s);return{pkgJsonPath:e,pkgJson:json5_1.default.parse(await readFile(e,"utf-8")),pkgPath:(0,path_1.dirname)(e)}}catch(e){return null}}async function resolveWithExportMap({baseDir:e,exportConditions:r,extensions:s,ignoreSideEffectsForRoot:i,importer:o,importSpecifier:t,moduleDirectories:a,modulePaths:n,mainFields:c,packageInfoCache:l,preserveSymlinks:p,rootDir:u,useBrowserOverrides:d}){if(t.startsWith("#"))return numberHandler(t,o,a,r,l,s,c,p,d,e,n);const f=(0,util_js_1.getPackageName)(t);if(f){let m,g=()=>null,_=!0,k=!1;const h=(e,r)=>{const o=(0,util_js_1.getPackageInfo)({cache:l,extensions:s,ignoreSideEffectsForRoot:i,mainFields:c,pkg:e,pkgPath:r,preserveSymlinks:p,rootDir:u,useBrowserOverrides:d});return({packageInfo:m,hasModuleSideEffects:g,hasPackageEntry:_,packageBrowserField:k}=o),o.cachedPkg},v={basedir:e,extensions:s,includeCoreModules:!1,isDirectory:cache_js_1.isDirCached,isFile:cache_js_1.isFileCached,moduleDirectory:a,packageFilter:h,paths:n,preserveSymlinks:p,readFile:cache_js_1.readCachedFile},S=await getPackageJson(o,f,v,a);if(S&&S.pkgJson.exports){const{pkgJson:e,pkgJsonPath:s}=S,i=f===t?".":`.${t.substring(f.length)}`,n=s.replace("oh-package.json5",""),c={conditions:r,importer:o,importSpecifier:t,moduleDirs:a,pkgJsonPath:s,pkgURL:(0,url_1.pathToFileURL)(n)},l=await(0,resolvePackageExports_js_1.resolvePackageExports)(c,i,e.exports),u=(0,url_1.fileURLToPath)(l);if(u)return{location:p?u:await(0,fs_js_1.resolveSymlink)(u),hasModuleSideEffects:g,hasPackageEntry:_,packageBrowserField:k,packageInfo:m}}}return null}async function numberHandler(e,r,s,i,o,t,a,n,c,l,p){const u=await(0,resolvePackageImports_js_1.resolvePackageImports)({importSpecifier:e,importer:r,moduleDirs:s,conditions:i,resolveId:e=>resolveIdClassic({baseDir:l,extensions:t,importSpecifier:e,mainFields:a,moduleDirectories:s,modulePaths:p,packageInfoCache:o,preserveSymlinks:n,useBrowserOverrides:c})}),d=(0,url_1.fileURLToPath)(u);return{location:n?d:await(0,fs_js_1.resolveSymlink)(d),hasModuleSideEffects:()=>null,hasPackageEntry:!0,packageBrowserField:!1,packageInfo:void 0}}async function resolveImportSpecifiers({baseDir:e,exportConditions:r,extensions:s,ignoreSideEffectsForRoot:i,importer:o,importSpecifierList:t,mainFields:a,moduleDirectories:n,modulePaths:c,packageInfoCache:l,preserveSymlinks:p,rootDir:u,useBrowserOverrides:d,warn:f}){try{const f=await resolveWithExportMap({baseDir:e,exportConditions:r,extensions:s,ignoreSideEffectsForRoot:i,importer:o,importSpecifier:t[0],mainFields:a,moduleDirectories:n,modulePaths:c,packageInfoCache:l,preserveSymlinks:p,rootDir:u,useBrowserOverrides:d});if(f)return f}catch(e){if(e instanceof utils_js_1.ResolveError)return f(e),null;throw e}return resolveWithClassic({baseDir:e,exportConditions:r,extensions:s,ignoreSideEffectsForRoot:i,importer:o,importSpecifierList:t,mainFields:a,moduleDirectories:n,modulePaths:c,packageInfoCache:l,preserveSymlinks:p,rootDir:u,useBrowserOverrides:d,warn:f})}async function resolveIdClassic({baseDir:e,extensions:r,ignoreSideEffectsForRoot:s,importSpecifier:i,mainFields:o,moduleDirectories:t,modulePaths:a,packageInfoCache:n,preserveSymlinks:c,rootDir:l,useBrowserOverrides:p}){let u,d=()=>null,f=!0,m=!1;const g={basedir:e,extensions:r,includeCoreModules:!1,isDirectory:cache_js_1.isDirCached,isFile:cache_js_1.isFileCached,moduleDirectory:t,packageFilter:(e,i)=>{const t=(0,util_js_1.getPackageInfo)({cache:n,extensions:r,ignoreSideEffectsForRoot:s,mainFields:o,pkg:e,pkgPath:i,preserveSymlinks:c,rootDir:l,useBrowserOverrides:p});return({packageInfo:u,hasModuleSideEffects:d,hasPackageEntry:f,packageBrowserField:m}=t),t.cachedPkg},paths:a,preserveSymlinks:c,readFile:cache_js_1.readCachedFile},_=await(0,index_js_1.resolve)(i,g);if(_ instanceof Error){if("MODULE_NOT_FOUND"!==_.code)throw _;return null}return{location:c?_:await(0,fs_js_1.resolveSymlink)(_),hasModuleSideEffects:d,hasPackageEntry:f,packageBrowserField:m,packageInfo:u}}async function resolveWithClassic({baseDir:e,exportConditions:r,extensions:s,ignoreSideEffectsForRoot:i,importer:o,importSpecifierList:t,mainFields:a,moduleDirectories:n,modulePaths:c,packageInfoCache:l,preserveSymlinks:p,rootDir:u,useBrowserOverrides:d,warn:f}){for(let m=0;m<t.length;m++){const g=await resolveIdClassic({baseDir:e,exportConditions:r,extensions:s,ignoreSideEffectsForRoot:i,importer:o,importSpecifier:t[m],mainFields:a,moduleDirectories:n,modulePaths:c,packageInfoCache:l,preserveSymlinks:p,rootDir:u,useBrowserOverrides:d,warn:f});if(g)return g}return null}exports.resolveImportSpecifiers=resolveImportSpecifiers;