"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.LegacyModuleModelImpl=void 0;const fs_1=__importDefault(require("fs")),path_1=__importDefault(require("path")),find_target_product_js_1=require("../../common/find-target-product.js"),common_const_js_1=require("../../const/common-const.js"),module_type_enum_js_1=require("../../enum/module-type-enum.js"),array_util_js_1=require("../../utils/array-util.js"),file_util_js_1=require("../../utils/file-util.js"),ohos_logger_js_1=require("../../utils/log/ohos-logger.js"),project_file_reader_js_1=require("../../utils/project-file-reader.js"),legacy_ability_model_impl_js_1=require("../ability/legacy-ability-model-impl.js"),legacy_form_model_impl_js_1=require("../ability/legacy-form-model-impl.js"),legacy_worker_model_impl_js_1=require("../ability/legacy-worker-model-impl.js"),legacy_target_source_set_impl_js_1=require("../source-set/legacy-target-source-set-impl.js"),core_module_model_impl_js_1=require("./core-module-model-impl.js"),sdk_const_1=require("../../const/sdk-const"),build_mode_manager_js_1=require("../../project/build-option/build-mode-manager.js"),defaultTargetName=common_const_js_1.DefaultTargetConst.DEFAULT_TARGET,ohosTestTargetName=common_const_js_1.DefaultTargetConst.OHOS_TEST_TARGET,_log=ohos_logger_js_1.OhosLogger.getLogger("legacyModuleModel");class LegacyModuleModelImpl extends core_module_model_impl_js_1.CoreModuleModelImpl{constructor(e,t){super(e,t)}static validateSameNameAbility(e){const t=ohos_logger_js_1.OhosLogger.getLogger("Ability"),o=(0,array_util_js_1.findDuplicateElement)(e.map((e=>e.getName())));o.length>0&&(o.forEach((e=>t.error(`Duplicate ability name ${e}.`))),t.errorMessageExit("Check the ability name in the config.json file and make sure it is unique."))}initDefaultTargetSourceSet(){const e=new legacy_target_source_set_impl_js_1.LegacyTargetSourceSetImpl(path_1.default.resolve(this._sourceRootDir,"main"));this.targetSourceSetMap.set(defaultTargetName,e);if((0,array_util_js_1.getElementFromArr)(this.getProfileOpt().targets,ohosTestTargetName)){const e=new legacy_target_source_set_impl_js_1.LegacyTargetSourceSetImpl(path_1.default.resolve(this._sourceRootDir,ohosTestTargetName));this.targetSourceSetMap.set(ohosTestTargetName,e)}}getLegacyAbilities(e=defaultTargetName){this._legacyAbilitiesMap||(this._legacyAbilitiesMap=new Map,this.initAbilityInfo(defaultTargetName,this.targetSourceSetMap.get(defaultTargetName)),e===ohosTestTargetName&&this.initAbilityInfo(ohosTestTargetName,this.targetSourceSetMap.get(ohosTestTargetName)));const t=this._legacyAbilitiesMap.get(e);return void 0===t?this._legacyAbilitiesMap.get("default"):t}getModuleType(e=defaultTargetName){var t,o;const r=this.getSourceSetByTargetName(e),i=null===(o=null===(t=r.getLegacyModuleTargetRes().getConfigJsonOpt().module)||void 0===t?void 0:t.distro)||void 0===o?void 0:o.moduleType;return void 0===i&&_log._buildError("Unable to obtain the module type.")._solution("Make sure the module/distro/moduleType field is set correctly in the config.json file.")._file(r.getLegacyModuleTargetRes().getJsonPath())._printErrorAndExit(),module_type_enum_js_1.ModuleType.valueOf(i)}getDeviceTypes(){const e=this.getSourceSetByTargetName().getLegacyModuleTargetRes().getConfigJsonOpt().module.deviceType;return null==e&&_log._buildError("Unable to obtain the module deviceType.")._solution("Make sure the module/deviceType field is set correctly in the config.json file: ")._file(this.getSourceSetByTargetName().getLegacyModuleTargetRes().getJsonPath())._printErrorAndExit(),e}getSourceSetByTargetName(e=defaultTargetName){return this.targetSourceSetMap.has(e)?this.targetSourceSetMap.get(e):this.targetSourceSetMap.get(defaultTargetName)}getJsonObjByTargetName(e){return this.getSourceSetByTargetName(e).getLegacyModuleTargetRes().getConfigJsonOpt()}getJsonPathByTargetName(e){return this.getSourceSetByTargetName(e).getLegacyModuleTargetRes().getJsonPath()}isAtomicService(){var e,t;return this.isInstallFree()||(null===(t=null===(e=this.getJsonObjByTargetName(defaultTargetName).module)||void 0===e?void 0:e.abilities)||void 0===t?void 0:t.some((e=>"service"===e.type&&e.formsEnabled)))||!1}isInstallFree(){return this.getJsonObjByTargetName(defaultTargetName).module.distro.installationFree||!1}initAbilityInfo(e,t){var o,r,i;const a=t.getLegacyModuleTargetRes().getJsonPath();if(!fs_1.default.existsSync(a))return;const l=project_file_reader_js_1.ProjectFileReader.getJson5Obj(a),s=l.module.abilities?l.module.abilities:[],g=[];for(let e=0;e<s.length;e++)g.push(new legacy_ability_model_impl_js_1.LegacyAbilityModelImpl(a,s[e].name));LegacyModuleModelImpl.validateSameNameAbility(g);const _=l.module.js?l.module.js:[];for(let e=0;e<_.length;e++)"form"===_[e].type&&g.push(new legacy_form_model_impl_js_1.LegacyFormModelImpl(a,_[e]));const u=(0,find_target_product_js_1.findTargetProduct)(this.getParentProject()),n=this.getCompileApiMetaByProduct(u.name).version;if(e!==common_const_js_1.DefaultTargetConst.OHOS_TEST_TARGET&&n>sdk_const_1.ApiVersion.API_VERSION_8){const t=file_util_js_1.FileUtil.convertToAbsolutePaths(null!==(i=null===(r=null===(o=build_mode_manager_js_1.buildOptionManager.getTargetBuildOption(this.getModule().getName(),e))||void 0===o?void 0:o.sourceOption)||void 0===r?void 0:r.workers)&&void 0!==i?i:[],this.getProjectDir());t&&t.filter((e=>".ts"===path_1.default.extname(e))).length>0&&g.push(new legacy_worker_model_impl_js_1.LegacyWorkerModelImpl(t))}LegacyModuleModelImpl.validateFormUnique(s),this._legacyAbilitiesMap.set(e,g)}static validateFormUnique(e){const t=ohos_logger_js_1.OhosLogger.getLogger("Form"),o=e.map((e=>e.forms?e.forms.map((e=>e.name)):[])).flat(),r=(0,array_util_js_1.findDuplicateElement)(o);r.length>0&&(r.forEach((e=>t.error(`Duplicate form name ${e}.`))),t.errorMessageExit("Check the form name in the config.json file and make sure it is unique."))}}exports.LegacyModuleModelImpl=LegacyModuleModelImpl;