"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.DependencyManager=void 0;const hvigor_1=require("@ohos/hvigor"),fs_extra_1=__importDefault(require("fs-extra")),path_1=__importDefault(require("path")),common_const_js_1=require("../../const/common-const.js"),module_type_enum_js_1=require("../../enum/module-type-enum.js"),legacy_module_model_impl_js_1=require("../../model/module/legacy-module-model-impl.js"),core_project_model_impl_js_1=require("../../model/project/core-project-model-impl.js"),har_extend_info_js_1=require("../../tasks/har/har-extend-info.js"),error_url_js_1=require("../../utils/error-url.js"),ohos_logger_js_1=require("../../utils/log/ohos-logger.js"),project_file_reader_js_1=require("../../utils/project-file-reader.js"),npm_package_resolver_js_1=require("../../utils/resolver/npm-package-resolver.js"),ohpm_package_resolver_js_1=require("../../utils/resolver/ohpm-package-resolver.js"),default_module_dependency_js_1=require("./core/default-module-dependency.js"),default_npm_dependency_js_1=require("./core/default-npm-dependency.js"),dependency_interface_js_1=require("./core/dependency-interface.js"),module_dependency_info_js_1=require("./module-dependency-info.js"),npm_utils_js_1=require("../../utils/npm-utils.js"),log=ohos_logger_js_1.OhosLogger.getLogger("ohos-dependency-manager"),solution=`The OpenHarmony npm package or module is not compatible with the current model. Use a compatible OpenHarmony npm package or module. For details about the stage and FA models, see ${error_url_js_1.ErrorUrl.ERROR_URL.modelDiff}.`;class DependencyManager{constructor(e,o,n){this._allDependency=new Set,this._model=o,this._projectModel=n,this._moduleName=o.getName(),this._isFaMode=e,this._isOhpmDependency=this.isOhpmDependency()}isOhpmDependency(){return this._projectModel?this._projectModel.isOhpmProject():this._model.isOhpmProject()}createModelDependencyInfo(){this._allDependency.clear();const e=[],o=new Map,n=this._isOhpmDependency?this._model.getOhPackageJson5Path():this._model.getPackageJsonPath();return this.collectHarDependency(n,o,e),this.collectProjectHarDependencyForHap(o,e),log.debug(`Module ${this._moduleName} Collected Dependency: ${e.map((e=>e.getDependencyRootPath()))}`),log.debug(`Module ${this._moduleName}'s total dependency: ${e.length}`),new module_dependency_info_js_1.ModuleDependencyInfo(o,e)}collectProjectHarDependencyForHap(e,o){if(this._projectModel){const n=this._isOhpmDependency?this._projectModel.getOhPackageJson5Path():this._projectModel.getPackageJsonPath();this.collectHarDependency(n,e,o,this._model.isHapModule())}}collectHarDependency(e,o,n,t=!0){const s=[e];for(;s.length>0;){const e=s.shift();if(void 0===e||!fs_extra_1.default.existsSync(e))continue;const r=hvigor_1.Json5Reader.getJson5Obj(e);if(null!==r&&void 0!==r.name){this._allDependency.add(e);for(const d in null==r?void 0:r.dependencies)Object.prototype.hasOwnProperty.call(null==r?void 0:r.dependencies,d)&&this.collectDependency(d,e,o,n,s,dependency_interface_js_1.DependencyEnum.DEPENDENCIES,t);for(const d in null==r?void 0:r.dynamicDependencies)if(Object.prototype.hasOwnProperty.call(null==r?void 0:r.dynamicDependencies,d)){if(!(0,npm_utils_js_1.isLocalDependency)(null==r?void 0:r.dynamicDependencies[d]))continue;this.collectDependency(d,e,o,n,s,dependency_interface_js_1.DependencyEnum.DYNAMIC_DEPENDENCIES,t)}}}}collectDependency(e,o,n,t,s,r,d){var l;const _=(this._isOhpmDependency?new ohpm_package_resolver_js_1.OhpmPackageResolver:new npm_package_resolver_js_1.NpmPackageResolver).resolvePackagePath(e,path_1.default.dirname(o)),i=path_1.default.resolve(this._model.getProjectDir(),common_const_js_1.CommonConst.OH_MODULES);if(void 0===_||!fs_extra_1.default.existsSync(_))return void(fs_extra_1.default.pathExistsSync(i)&&log.warn(`The current module '${this._moduleName}' has dependency which is not installed at its ${this._isOhpmDependency?common_const_js_1.CommonConst.OH_PACKAGE_JSON5:common_const_js_1.CommonConst.PACKAGE_JSON}.`));const a=hvigor_1.Json5Reader.getJson5Obj(_),c=this.getHarmonyDependencyType(_,a,o);if(void 0===c)return;const p=path_1.default.dirname(_);this.checkHarStatusIsCompatibleForHap(p,a),this._allDependency.add(_);const m=null===(l=hvigor_1.hvigor.getProject())||void 0===l?void 0:l.getAllSubModules();if(!m)return;let u=_;for(const o of m){const t=path_1.default.join(o.getNodeDir(),this._isOhpmDependency?common_const_js_1.CommonConst.OH_PACKAGE_JSON5:common_const_js_1.CommonConst.PACKAGE_JSON);if(o.getNodeDir()===p){if(!d)return void log.warn(`module '${this._moduleName}' depends on another module '${o.getName()}'. This dependency will not be collected because of the potential issue of circular dependencies between hsp/har modules.`);u=t;const s=new default_module_dependency_js_1.DefaultModuleDependency(o,e,u,a,c,r);n.set(o.getName(),s);break}}t.push(new default_npm_dependency_js_1.DefaultNpmDependency(e,path_1.default.dirname(u),u,a,c,r)),c===dependency_interface_js_1.DependencyType.DEPENDENCY_TYPE_HAR&&s.push(_)}getDependencyTypeByProfile(e){const o=path_1.default.resolve(e,"src","main",common_const_js_1.CommonConst.MODULE_JSON5),n=path_1.default.resolve(e,"src","main",common_const_js_1.CommonConst.MODULE_JSON),t=path_1.default.resolve(e,"src","main",common_const_js_1.CommonConst.CONFIG_JSON);return this.checkHarOrHspStatus(o,!1)||this.checkHarOrHspStatus(n,!1)||this.checkHarOrHspStatus(t,!0)}checkHarOrHspStatus(e,o){var n,t,s,r;if(!fs_extra_1.default.existsSync(e))return;const d=project_file_reader_js_1.ProjectFileReader.getJson5Obj(e),l=(null===(n=d.module)||void 0===n?void 0:n.type)===module_type_enum_js_1.ModuleType.Shared,_=(null===(t=d.module)||void 0===t?void 0:t.type)===module_type_enum_js_1.ModuleType.Har||(null===(r=null===(s=d.module)||void 0===s?void 0:s.distro)||void 0===r?void 0:r.moduleType)===module_type_enum_js_1.ModuleType.Har,i=this._isFaMode?"FA model":"Stage model",a=this._isFaMode?"Stage model":"FA model";return(_||l)&&this._isFaMode!==o&&log._buildError(`${i} module ${this._moduleName} does not allow Harmony library packages or modules in ${a}. Build tasks will not be executed, and resources will not be packed.`)._detail(solution)._file(e)._printErrorAndExit(this._moduleName),l?dependency_interface_js_1.DependencyType.DEPENDENCY_TYPE_HSP:_?dependency_interface_js_1.DependencyType.DEPENDENCY_TYPE_HAR:void 0}getHarmonyDependencyType(e,o,n){if(!e||null===o)return;const t=path_1.default.dirname(e),s=this.isHarForDiffPackManagement(t,o),r=this.getDependencyTypeByProfile(t);return s&&this._allDependency.has(e)&&e===n&&r===dependency_interface_js_1.DependencyType.DEPENDENCY_TYPE_HSP&&log._buildError("Shared Library cannot depend on shared module self.")._detail("Remove the dependency on the shared module.")._file(t)._printErrorAndExit(this._moduleName),s&&o.name&&!this._allDependency.has(e)?r:void 0}isHarForDiffPackManagement(e,o){return this._isOhpmDependency?fs_extra_1.default.existsSync(e):fs_extra_1.default.existsSync(e)&&void 0!==o.ohos}checkHarStatusIsCompatibleForHap(e,o){var n;if(this._model instanceof core_project_model_impl_js_1.CoreProjectModelImpl)return;const t=this._model;if(t.isHarModule())return;const s=this._isOhpmDependency?o.artifactType:null===(n=o.ohos)||void 0===n?void 0:n.artifactType;void 0!==s&&s!==har_extend_info_js_1.ArtifactType.ORIGINAL&&t instanceof legacy_module_model_impl_js_1.LegacyModuleModelImpl&&log._buildError(`Fa module ${this._moduleName} does not allow OpenHarmony npm packages,\n      which artifactType is not original.`)._solution(solution)._file(e)._printErrorAndExit(this._moduleName)}}exports.DependencyManager=DependencyManager;