"use strict";var __importDefault=this&&this.__importDefault||function(t){return t&&t.__esModule?t:{default:t}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Property=void 0;const fs_extra_1=__importDefault(require("fs-extra")),path_1=__importDefault(require("path")),common_const_js_1=require("../../const/common-const.js"),property_const_js_1=require("../../const/property-const.js"),file_util_js_1=require("../../utils/file-util.js"),ohos_logger_js_1=require("../../utils/log/ohos-logger.js"),localPropertiesPath=path_1.default.resolve(process.cwd(),common_const_js_1.CommonConst.LOCAL_PROPERTIES);class Property{constructor(){this._log=ohos_logger_js_1.OhosLogger.getLogger(Property.name),this._properties=new Map,Property._readFile().split(/\r?\n/).forEach(this._setProperty,this),this._readPath()}static _readFile(){return fs_extra_1.default.existsSync(localPropertiesPath)?fs_extra_1.default.readFileSync(localPropertiesPath,{encoding:"utf-8"}):""}getProperty(t){if(this._properties.has(t)){const r=this._properties.get(t);return r||""}return""}getSdkDir(){return this.validatePath(property_const_js_1.PropertyConst.SDK_DIR,property_const_js_1.PropertyConst.ENV_OHOS_BASE_SDK_HOME),this.getProperty(property_const_js_1.PropertyConst.SDK_DIR)}getHosSdkDir(){return this.validatePath(property_const_js_1.PropertyConst.HWSDK_DIR,property_const_js_1.PropertyConst.ENV_HOS_SDK_HOME),this.getProperty(property_const_js_1.PropertyConst.HWSDK_DIR)}getArkUIXSdkDir(){const t=this._properties.get(property_const_js_1.PropertyConst.ARKUIX_SDK_DIR);return t&&fs_extra_1.default.existsSync(t)||this._log._buildError(`Unable to find '${property_const_js_1.PropertyConst.ARKUIX_SDK_DIR}' in 'local.properties' or '${property_const_js_1.PropertyConst.ENV_ARKUIX_SDK_HOME}' in the system environment path.`)._detail("Please go to Settings > ArkUI-X and download the sdk. Open SDK Manager.")._file(localPropertiesPath)._printErrorAndExit(),this.getProperty(property_const_js_1.PropertyConst.ARKUIX_SDK_DIR)}validatePath(t,r){this._properties.has(t)||this._log._buildError(`Unable to find '${t}' in 'local.properties' or '${r}' in the system environment path.`)._file(localPropertiesPath)._printErrorAndExit();const e=this._properties.get(t);fs_extra_1.default.existsSync(e)||this._log._buildError(`Invalid value of '${t}' in 'local.properties' or '${r}' in the system environment path.`)._file(e)._printErrorAndExit()}_readPath(){this._setPathIfNotExist(property_const_js_1.PropertyConst.SDK_DIR,process.env[property_const_js_1.PropertyConst.ENV_OHOS_BASE_SDK_HOME]),this._setPathIfNotExist(property_const_js_1.PropertyConst.NPM_DIR,process.env[property_const_js_1.PropertyConst.ENV_NODE_HOME]),this._setPathIfNotExist(property_const_js_1.PropertyConst.HWSDK_DIR,process.env[property_const_js_1.PropertyConst.ENV_HOS_SDK_HOME]),this._setPathIfNotExist(property_const_js_1.PropertyConst.ARKUIX_SDK_DIR,process.env[property_const_js_1.PropertyConst.ENV_ARKUIX_SDK_HOME])}_setPathIfNotExist(t,r){!this._properties.has(t)&&r&&this._properties.set(t,file_util_js_1.FileUtil.normalizePathSeparator(r))}_setProperty(t){if(!t||!t.trim())return;const r=/^([^#=]+)(={0,1})(.*)$/.exec(t);r&&this._properties.set(r[1].trim(),file_util_js_1.FileUtil.normalizePathSeparator(r[3]).trimStart())}}exports.Property=Property;