"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.AbstractCompileResource=void 0;const wdk_1=require("@baize/wdk"),hvigor_1=require("@ohos/hvigor"),fs_extra_1=__importDefault(require("fs-extra")),log4js_1=require("log4js"),path_1=__importDefault(require("path")),common_util_js_1=require("../../common/common-util.js"),build_directory_const_js_1=require("../../const/build-directory-const.js"),common_const_js_1=require("../../const/common-const.js"),inject_const_js_1=require("../../const/inject-const.js"),compile_resources_util_js_1=require("../../utils/compile-resources-util.js"),file_util_js_1=require("../../utils/file-util.js"),map_util_js_1=require("../../utils/map-util.js"),process_utils_js_1=require("../../utils/process-utils.js"),project_file_reader_js_1=require("../../utils/project-file-reader.js"),module_task_service_js_1=require("../service/module-task-service.js"),abstract_resource_task_js_1=require("./abstract-resource-task.js");class AbstractCompileResource extends abstract_resource_task_js_1.AbstractResource{constructor(e,t){super(e,t),this.compileCommands=[],this.linkCommand=[],this.intermediatesResDir=this.pathInfo.getIntermediatesRes(),this.isPreview=hvigor_1.hvigor.getExtraConfig().get(inject_const_js_1.InjectConst.BUILD_ROOT)===build_directory_const_js_1.BuildDirConst.PREVIEW_BUILD_PATH}getEnabled(){const e=this.node.getTaskContainer().findTask(`${this.targetName}@${this.processProfileTask}`);if(void 0===e)throw new Error(`Resource compile task initialize failed, task ${this.processProfileTask} not found.`);return this.restoolCommandBuilder=e.restoolCommandBuilder,this.restoolConfigBuilder=e.restoolConfigBuilder,super.getEnabled()}getCommand(){return[this.getResToolFile(),"-l",this.resConfigFilePath]}beforeTask(){file_util_js_1.FileUtil.checkDirWithoutDelete(this.intermediatesResDir),file_util_js_1.FileUtil.checkDirWithoutDelete(this.generateSourceRDir)}declareInputs(){const e=new Map;return this.isPreview&&(e.set("PREVIEWER_REPLACE_PAGE",JSON.stringify(hvigor_1.hvigor.getExtraConfig().get(inject_const_js_1.InjectConst.PREVIEWER_REPLACE_PAGE))),e.set("PREVIEWER_REPLACE_SRCPATH",JSON.stringify(hvigor_1.hvigor.getExtraConfig().get(inject_const_js_1.InjectConst.PREVIEWER_REPLACE_SRC_PATH)))),e.set("TARGET_CONFIG",JSON.stringify(this.targetData.getTargetOpt())),e}declareExecutionTool(){return this.getResToolFile()}declareInputFiles(){return this.restoolConfigBuilder.inputFiles}declareOutputFiles(){return this.restoolConfigBuilder.outputFiles.addEntries([this.intermediatesResDir,this.generateSourceRDir],{isDirectory:!0})}getResToolFile(){return this.sdkInfo.getRestool()}async compilationProcess(e,t){this.precheck(e)&&await this.invokeRestool(t)}precheck(e){var t;return e===compile_resources_util_js_1.CompileResourceBuildCommandType.FILE?this.restoolConfigBuilder.existsResourceDir:!!(null===(t=this.restoolCommandBuilder)||void 0===t?void 0:t.existsResourceDir)}async invokeRestool(e){}async executeCommand(e,t,i=wdk_1.noop){t._printDebugCommand(this.getResToolFile(),e);const s="execute compile resource command using restool",o=this.durationEvent.createSubEvent(s,"");o.start(),await new process_utils_js_1.ProcessUtils(this.moduleName,this.name).execute(e,void 0,void 0,((e,i)=>this.iconSizeWarningHandler(e,i,t))),o.stop(),o.setLog(s,hvigor_1.MetricLogType.INFO),await i()}iconSizeWarningHandler(e,t,i){var s;if(!((null===(s=e.stderr)||void 0===s?void 0:s.length)>0))return!1;const o=e.stderr;return!(!/Warning: the png width and height not equal/.test(o)&&!/Warning: The width or height of the .+ file referenced by the icon exceeds the limit+./.test(o))&&(JSON.stringify(i.getLevel())===JSON.stringify(log4js_1.levels.DEBUG)&&i.warn(o),!0)}async compileLink(e,t=wdk_1.noop){for(const t of this.compileCommands)await this.executeCommand(t,e);await this.executeCommand(this.linkCommand,e,t)}getInputData(e){return{moduleName:this.moduleName,taskName:this.name,commandLine:e}}async previewCompileLink(e,t=wdk_1.noop){var i;const s="generate compilation link command",o=this.durationEvent.createSubEvent(s,"");o.start(),this.restoolLinkParamObj=null===(i=this.restoolCommandBuilder)||void 0===i?void 0:i.restoolLinkParamObj,await this.buildIncrementalCompileLinkFullCommand(),o.stop(),o.setLog(s,hvigor_1.MetricLogType.INFO),await this.compileLink(e,t),await this.previewBuildParamPersistence()}async previewBuildParamPersistence(){const e=this.restoolLinkParamObj.appScopeResources,t=this.restoolLinkParamObj.moduleResourcesMap,i=this.restoolLinkParamObj.harResourcesMap,s={APP_RESOURCES:e||"",MODULE_RESOURCES:JSON.stringify((0,map_util_js_1.strMapToObj)(t)),HAR_RESOURCES:JSON.stringify((0,map_util_js_1.strMapToObj)(i)),PREVIEW_GENERATE_SOURCE_DIR:this.pathInfo.getPreviewGenerateSourceR(),PREVIEW_COMPILE_MODULE_NAMES:compile_resources_util_js_1.CompileResourcesUtil.getRestoolModuleNames(this.service,this.targetName).join(",")},o=path_1.default.resolve(this.pathInfo.getModulePreviewPath(),build_directory_const_js_1.BuildArtifactConst.PREVIEW_BUILD_PARAM_JSON);await fs_extra_1.default.outputJSON(o,s)}async buildIncrementalCompileLinkFullCommand(){var e;this.linkCommand=this.restoolLinkParamObj.linkCommand,this.linkOutputPath=null===(e=this.restoolLinkParamObj)||void 0===e?void 0:e.outputPath;const t=this.restoolLinkParamObj.appScopeResources,i=this.restoolLinkParamObj.moduleResourcesMap,s=this.restoolLinkParamObj.harResourcesMap,o=this.restoolLinkParamObj.outputPath,r=this.restoolLinkParamObj.idsMapPath;await fs_extra_1.default.ensureDir(o);const a=(await fs_extra_1.default.readdir(o)).filter((e=>e!==build_directory_const_js_1.BuildDirConst.IDS_MAP));for(const e of a)await fs_extra_1.default.remove(path_1.default.resolve(o,e));if(t&&t.length>0){const e=path_1.default.resolve(this.linkOutputPath,build_directory_const_js_1.BuildDirConst.APP_COMPILED),i=[this.getResToolFile(),"-x",t,"-o",e];this.compileCommands.push(i),this.linkCommand.push("-i",e),file_util_js_1.FileUtil.checkDirWithoutDelete(e)}r&&file_util_js_1.FileUtil.checkDirWithoutDelete(r),this.linkCommandPushResourcesMap(i),this.linkCommandPushResourcesMap(s),this.linkCommand.push("-o",o)}linkCommandPushResourcesMap(e){e.size>0&&e.forEach(((e,t)=>{const i=path_1.default.resolve(this.linkOutputPath,e),s=[this.getResToolFile(),"-x",t,"-o",i];this.compileCommands.push(s),this.linkCommand.push("-i",i),fs_extra_1.default.existsSync(i)||fs_extra_1.default.mkdirsSync(i)}))}async retainDeviceType(e,t,i){var s,o;const r=e.findRelatedTargetData(t);if((0,module_task_service_js_1.checkHasTargetApplyProduct)(this.targetData.getModuleModel(),this.targetData.getTargetName(),this.targetData.getProduct().name)&&r){const a=r.getTargetDeviceType(),n=e.getTargetDeviceType().filter((e=>(null==a?void 0:a.indexOf(e))>-1)),l=path_1.default.resolve(e.getPathInfo().getIntermediatesRes(),t,common_const_js_1.CommonConst.CONFIG_JSON),u=project_file_reader_js_1.ProjectFileReader.getJson5Obj(l);if(u.module.deviceType=n,this.isFaMode){const e=this.service.getProjectModel(),i=path_1.default.resolve(e.getProjectDir(),t,`src/main/${common_const_js_1.CommonConst.CONFIG_JSON}`),a=project_file_reader_js_1.ProjectFileReader.getJson5Obj(i),n=null!==(o=null===(s=r.getTargetOpt().config)||void 0===s?void 0:s.distroFilter)&&void 0!==o?o:a.module.distroFilter;n&&(u.module.distroFilter=n)}await fs_extra_1.default.outputJson(l,u,{spaces:"\t"}),0===n.length&&i.warn(`The device types of ${this.moduleModel.getName()} and ${t} are different. Invalid HAP ${this.moduleModel.getName()}.`)}}replaceTargetPages(e,t){var i;const s=null===(i=e.getTargetOpt().source)||void 0===i?void 0:i.pages;void 0!==s&&this.replacePages(t,s)}customizeShortcut(){const e=this.targetData.getProduct(),t=this.moduleModel.getModule().getNodeDir(),i=path_1.default.resolve(t,`src/main/${common_const_js_1.CommonConst.MODULE_JSON5}`),s=project_file_reader_js_1.ProjectFileReader.getJson5Obj(i).module.metadata,o=this.projectModel.getAppRes().getAppResOpt().app.bundleName;s&&0!==s.length&&s.forEach((i=>{if(!i.resource)return;const s=(0,common_util_js_1.parsingProfileName)(i.resource),r=path_1.default.resolve(t,`src/main/${build_directory_const_js_1.BuildDirConst.RESOURCES_BASE_PROFILE_DIR}/${s}.json`),a=project_file_reader_js_1.ProjectFileReader.getJson5Obj(r).shortcuts;if(!a||0===a.length)return;const n=this.targetData.getTargetOpt().name,l=path_1.default.resolve(this.pathInfo.getModuleProductPath(),`intermediates/res/${n}/${build_directory_const_js_1.BuildDirConst.RESOURCES_BASE_PROFILE_DIR}/${s}.json`);a.forEach((t=>{const i=t,s=i.wants;s&&0!==s.length&&(s.forEach((t=>{e.bundleName&&o===t.bundleName&&(t.bundleName=e.bundleName)})),fs_extra_1.default.existsSync(l)||fs_extra_1.default.createFileSync(l),fs_extra_1.default.writeJSONSync(l,{newShortCutObj:i}))}))}))}}exports.AbstractCompileResource=AbstractCompileResource;