"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.BuildNativeWithCmake=void 0;const wdk_1=require("@baize/wdk"),hvigor_1=require("@ohos/hvigor"),fs_extra_1=__importDefault(require("fs-extra")),os_1=__importDefault(require("os")),path_1=__importDefault(require("path")),native_command_builder_js_1=require("../builder/native-command-builder.js"),common_const_js_1=require("../const/common-const.js"),hvigor_native_build_js_1=require("../model/cxx/hvigor-native-build.js"),cmake_invalidation_state_js_1=require("../utils/cmake-invalidation-state.js"),cmake_util_js_1=require("../utils/cmake-util.js"),file_util_js_1=require("../utils/file-util.js"),ohos_logger_js_1=require("../utils/log/ohos-logger.js"),task_names_js_1=require("./common/task-names.js"),legacy_pre_build_js_1=require("./legacy-tasks/legacy-pre-build.js"),abstract_build_native_js_1=require("./abstract-build-native.js"),pre_build_js_1=require("./pre-build.js");var Task=task_names_js_1.TaskNames.Task;class BuildNativeWithCmake extends abstract_build_native_js_1.AbstractBuildNative{constructor(e){super(e,Task.BUILD_NATIVE_WITH_CMAKE),this._log=ohos_logger_js_1.OhosLogger.getLogger(BuildNativeWithCmake.name),this._moduleDir=this.moduleModel.getProjectDir()}initTaskDepends(){this.declareDepends(this.isFaMode?legacy_pre_build_js_1.LegacyPreBuild.name:pre_build_js_1.PreBuild.name)}taskShouldDo(){return cmake_util_js_1.CmakeUtil.nativeTaskCondition(this.moduleModel,this.targetData,this._nativeOption)}async doTaskAction(){var e;file_util_js_1.FileUtil.checkDirWithoutDelete(this.pathInfo.getModuleBuildPath()),file_util_js_1.FileUtil.checkDirWithoutDelete(this.pathInfo.getCppOutputDir());const t=cmake_util_js_1.CmakeUtil.checkAbiFilters(null===(e=this._nativeOption)||void 0===e?void 0:e.abiFilters);for(const e of t){const t=`generate CMake command with ABI of ${e}`,i=this.durationEvent.createSubEvent(t,"");i.start();const a=path_1.default.resolve(this.pathInfo.getNinjaWorkDir(),e),s=this.buildCommand(e);if(hvigor_1.hvigor.getParameter().getProperty(common_const_js_1.CommonConst.SKIP_NATIVE_INCREMENTAL)){this._log.debug("Skip cmake incremental."),i.stop(),i.setLog(t,hvigor_1.MetricLogType.INFO);const o=`submit CMake task to work pool with ABI of ${e}`,l=this.durationEvent.createSubEvent(o,"");return l.start(),cmake_util_js_1.CmakeUtil.mkCodeModelRequest(a),await this.executeCommand(s,wdk_1.noop,[],l,[0,1]),l.stop(),void l.setLog(o,hvigor_1.MetricLogType.INFO)}const o=path_1.default.resolve(a,"metadata_generation_command.txt"),l=s.join(os_1.default.EOL);if(fs_extra_1.default.existsSync(o)){await fs_extra_1.default.readFile(o,{encoding:"utf-8"})!==l&&await fs_extra_1.default.writeFile(o,l)}else await fs_extra_1.default.mkdir(path_1.default.dirname(o),{recursive:!0}),await fs_extra_1.default.writeFile(o,l);i.stop(),i.setLog(t,hvigor_1.MetricLogType.INFO);const r=`submit CMake task to work pool with ABI of ${e}`,_=this.durationEvent.createSubEvent(r,"");_.start();const d=path_1.default.resolve(a,"configure_fingerprint.json"),n=await(0,cmake_invalidation_state_js_1.createInvalidationState)(cmake_invalidation_state_js_1.FileId.getInstance(d),await this.getInputFiles(a,e),this.getRequiredOutputFiles(a),this.getOptionalOutputFiles(a),this.getHardOutputFiles(a));if(n.shouldConfigure()){n.softConfigureOkay()||(this._log.debug("Clean CMakeCache.txt due to outdated CMake configuration."),await fs_extra_1.default.rm(path_1.default.resolve(a,"CMakeCache.txt"),{recursive:!0,force:!0}));const t=async()=>{var t,i;const s=(0,cmake_invalidation_state_js_1.readCMakeFileApiReply)(a,this.targetName,e,this.sdkInfo.getCmakeTool()),o=null!==(i=null===(t=s.extra)||void 0===t?void 0:t.join(os_1.default.EOL))&&void 0!==i?i:"";await fs_extra_1.default.writeFile(path_1.default.resolve(a,"additional_project_files.txt"),o),await fs_extra_1.default.writeFile(path_1.default.resolve(a,"native_work_dir.txt"),a),await fs_extra_1.default.writeFile(path_1.default.resolve(a,"build_file_index.txt"),s.buildFiles.join(os_1.default.EOL)),delete s.extra,await fs_extra_1.default.writeJSON(path_1.default.resolve(a,hvigor_native_build_js_1.HvigorNativeConfigFile),s),n.addInputFiles(await this.getInputFiles(a,e)),await n.updateFingerPrint(),_.stop(),_.setLog(r,hvigor_1.MetricLogType.INFO)};n.shouldConfigureMessages().forEach((e=>this._log.debug(e))),cmake_util_js_1.CmakeUtil.mkCodeModelRequest(a),await this.executeCommand(s,t,[],_,[0,1])}else this._log.debug("CMake configuration was up-to-date"),await n.updateFingerPrint(),_.stop(),_.setLog(r,hvigor_1.MetricLogType.INFO)}}async getInputFiles(e,t){const i=new Set;i.add(path_1.default.resolve(cmake_util_js_1.CmakeUtil.getCmakeListDir(this._moduleDir,this._nativeOption),"CMakeLists.txt")),file_util_js_1.FileUtil.getAllFilesFromFolder(path_1.default.resolve(this.pathInfo.getNinjaWorkDir(),"hvigor",t)).forEach((e=>i.add(e)));const a=path_1.default.resolve(e,hvigor_native_build_js_1.HvigorNativeConfigFile);if(!fs_extra_1.default.existsSync(a))return[...i].map((e=>cmake_invalidation_state_js_1.FileId.getInstance(e)));const s=await(0,hvigor_native_build_js_1.readHvigorNativeConfigFile)(a);return null==s||s.buildFiles.forEach((e=>i.add(e))),[...i].map((e=>cmake_invalidation_state_js_1.FileId.getInstance(e)))}getOptionalOutputFiles(e){return[path_1.default.resolve(e,"build.ninja"),path_1.default.resolve(e,"compile_commands.json"),path_1.default.resolve(e,"native_work_dir.txt"),path_1.default.resolve(e,"build_file_index.txt"),path_1.default.resolve(e,"additional_project_files.txt")].map((e=>cmake_invalidation_state_js_1.FileId.getInstance(e)))}getRequiredOutputFiles(e){return[path_1.default.resolve(e,hvigor_native_build_js_1.HvigorNativeConfigFile),path_1.default.resolve(e,"CMakeCache.txt")].map((e=>cmake_invalidation_state_js_1.FileId.getInstance(e)))}getHardOutputFiles(e){return[path_1.default.resolve(e,"metadata_generation_command.txt")].map((e=>cmake_invalidation_state_js_1.FileId.getInstance(e)))}buildCommand(e){var t,i,a,s;const o=new native_command_builder_js_1.NativeCommandBuilder(this.sdkInfo.getCmakeTool()),l=path_1.default.resolve(this.pathInfo.getIntermediatesCppOutPut(),e),r=path_1.default.resolve(this.pathInfo.getNinjaWorkDir(),e),_=path_1.default.resolve(this.pathInfo.getNinjaWorkDir(),"hvigor",e),d=this.targetService.getBuildMode(),n=this.targetData.isHarmonyOS()&&this.compileApiVersion>9;let u=n?this.sdkInfo.getHmsToolchainFile():this.sdkInfo.getNativeToolchain();fs_extra_1.default.existsSync(u)||(u=this.sdkInfo.getNativeToolchain()),o.addCmakeList(cmake_util_js_1.CmakeUtil.getCmakeListDir(this._moduleDir,this._nativeOption)).addTempFilePath(r).addOhosArch(e).addOutputDir(l).addBuildType(d).addNativeSdk(this.sdkInfo.getSdkNativeDir()).addSystemName("OHOS").addOhosArchAbi(e).exportCompileCommands("ON").addToolChain(u).addGenerator("Ninja").addMakeProgramPath(this.sdkInfo.getNativeNinjaTool()).addCMakeFindPath(_).addPackageFindScript(path_1.default.resolve(_,common_const_js_1.NativeConst.PACKAGE_SUMMARY_FILE)).muteUnusedCliWarn();const h=null===(t=this._nativeOption)||void 0===t?void 0:t.cFlags,g=null===(i=this._nativeOption)||void 0===i?void 0:i.cppFlags;h&&""!==h.trim()&&o.addCFlags(h),g&&""!==g.trim()&&o.addCxxFlags(g),n&&o.addHMosNativeSdk(this.sdkInfo.getHmsNativeDir());let m=o.build(),c=(null===(a=this._nativeOption)||void 0===a?void 0:a.arguments)?null===(s=this._nativeOption)||void 0===s?void 0:s.arguments:"";return"true"===hvigor_1.hvigor.getExtraConfig().get("ohos-debug-asan")&&this.targetService.isDebug()&&(c+=" -DOHOS_ENABLE_ASAN=ON "),m=cmake_util_js_1.CmakeUtil.mergeCommandLine(m,c),this._log._printDebugCommand("Cmake",m),m}}exports.BuildNativeWithCmake=BuildNativeWithCmake;