"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.BuildNativeWithNinja=void 0;const fs_extra_1=__importDefault(require("fs-extra")),path_1=__importDefault(require("path")),native_command_builder_js_1=require("../builder/native-command-builder.js"),common_const_js_1=require("../const/common-const.js"),cpu_abi_enum_js_1=require("../enum/cpu-abi-enum.js"),ohos_logger_js_1=require("../utils/log/ohos-logger.js"),task_names_js_1=require("./common/task-names.js"),build_native_with_cmake_js_1=require("./build-native-with-cmake.js");var Task=task_names_js_1.TaskNames.Task;const hvigor_1=require("@ohos/hvigor"),cmake_util_js_1=require("../utils/cmake-util.js"),abstract_build_native_js_1=require("./abstract-build-native.js");class BuildNativeWithNinja extends abstract_build_native_js_1.AbstractBuildNative{constructor(e){super(e,Task.BUILD_NATIVE_WITH_NINJA),this._log=ohos_logger_js_1.OhosLogger.getLogger(BuildNativeWithNinja.name),this.localHsp=this.service.getDependencyInfo().getHspDependencies().map((e=>e.getDependencyRootPath()))}initTaskDepends(){var e,t,a;this.declareDepends(build_native_with_cmake_js_1.BuildNativeWithCmake.name);for(const i of this.service.getDependencyInfo().getModuleDependencyMap().keys()){const s=null!==(t=null!==(e=this.projectModel.getTarget(i,this.targetName))&&void 0!==e?e:this.projectModel.getTarget(i,"default"))&&void 0!==t?t:this.projectModel.getTarget(i),o=null!==(a=null==s?void 0:s.getTargetData().getTargetName())&&void 0!==a?a:"default";this.declareDepends(`${o}@${Task.DO_NATIVE_STRIP.name}`,i)}}async buildCommand(e,t,a,i,s){var o;const n=t.getPathInfo(),r=path_1.default.resolve(n.getNinjaWorkDir(),e),l=new native_command_builder_js_1.NativeCommandBuilder(this.sdkInfo.getNativeNinjaTool()).changeToDir(r).build();(null===(o=this._nativeOption)||void 0===o?void 0:o.targets)&&this._nativeOption.targets.length>0&&l.push(...this._nativeOption.targets),this._log._printDebugCommand("Ninja",l),s.stop(),s.setLog(s.getName(),hvigor_1.MetricLogType.INFO);const u=`submit CMake task to work pool with ABI of ${e}`,_=this.durationEvent.createSubEvent(u,"");_.start(),await this.executeCommand(l,a,i,_,[0,1]),_.stop(),_.setLog(u,hvigor_1.MetricLogType.INFO)}taskShouldDo(){return cmake_util_js_1.CmakeUtil.nativeTaskCondition(this.moduleModel,this.targetData,this._nativeOption)}beforeTask(){fs_extra_1.default.emptyDirSync(this.pathInfo.getIntermediatesCppOutPut())}async doTaskAction(){var e;const t=this.targetData.getPathInfo(),a=path_1.default.resolve(t.getIntermediatesCppOutPut()),i=cmake_util_js_1.CmakeUtil.checkAbiFilters(null===(e=this._nativeOption)||void 0===e?void 0:e.abiFilters);for(const e of i){const i=`generate Ninja command with ABI of ${e}`,s=this.durationEvent.createSubEvent(i,"");s.start();const o=path_1.default.resolve(a,e),n=path_1.default.resolve(t.getNinjaWorkDir(),e);await this.buildCommand(e,this.targetData,(()=>{const t=cmake_util_js_1.CmakeUtil.parseLibraries(n,this.targetName,e,this.sdkInfo.getCmakeTool());this.syncOutput(t,o,n)}),[],s),this.syncStl(e,o,t)}}syncOutput(e,t,a){e.forEach(((e,i)=>{var s,o,n;const r=null===(s=this._nativeOption)||void 0===s?void 0:s.targets;r&&r.length>0&&-1===r.indexOf(i)?this._log.debug(`Case targets are configured, dependency ${i} are not synchronized.`):(null===(o=e.getOutputs())||void 0===o||o.forEach((s=>{const o=path_1.default.isAbsolute(s)?path_1.default.resolve(s):path_1.default.resolve(a,s),n=e.getNameOnDisk();if(!n)return;const r=path_1.default.resolve(t,n);o!==r&&(this._log.debug(`External build set its own library output location for ${i}, which will be hard linked or copy to the expected location.`),fs_extra_1.default.copySync(o,r,{recursive:!0}))})),null===(n=e.getRuntimeFiles())||void 0===n||n.forEach((e=>{if(e=path_1.default.isAbsolute(e)?path_1.default.resolve(e):path_1.default.resolve(a,e),void 0!==this.excludeFromHsp(e))return;const i=path_1.default.resolve(t,path_1.default.basename(e));e!==i&&fs_extra_1.default.copySync(e,i,{recursive:!0})})))}))}syncStl(e,t,a){const i=this.getArguments(),s=i.some((e=>"-DOHOS_STL=c++_static"===e))||i.some((e=>"-DOHOS_STL=none"===e)),o=path_1.default.resolve(t,"libc++.so"),n=path_1.default.resolve(t,common_const_js_1.NativeConst.SHARED_STL_LIBRARY),r=path_1.default.resolve(a.getModuleBuildIntermediates(),"libs",e);if(s)return fs_extra_1.default.removeSync(o),fs_extra_1.default.removeSync(n),void fs_extra_1.default.removeSync(r);const l=path_1.default.resolve(this.sdkInfo.getSdkNativeDir(),"llvm","lib",cpu_abi_enum_js_1.CpuAbiEnum.getCpuType(e),"c++"),u=path_1.default.resolve(l,common_const_js_1.NativeConst.SHARED_STL_LIBRARY);fs_extra_1.default.existsSync(u)&&fs_extra_1.default.copySync(u,n)}getArguments(){var e;const t=null===(e=this._nativeOption)||void 0===e?void 0:e.arguments;return t&&""!==t?t.split(" "):[]}excludeFromHsp(e){return this.localHsp.find((t=>path_1.default.normalize(e).startsWith(path_1.default.normalize(t))))}}exports.BuildNativeWithNinja=BuildNativeWithNinja;