"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ModuleTargetData=void 0;const path_1=__importDefault(require("path")),build_directory_const_js_1=require("../../const/build-directory-const.js"),common_const_js_1=require("../../const/common-const.js"),device_type_const_js_1=require("../../const/device-type-const.js"),runtime_type_enum_js_1=require("../../enum/runtime-type-enum.js"),ohos_plugin_id_js_1=require("../../plugin/common/ohos-plugin-id.js"),hap_extra_info_js_1=require("../../project/data/hap-extra-info.js"),array_util_js_1=require("../../utils/array-util.js"),ohos_logger_js_1=require("../../utils/log/ohos-logger.js"),status_js_1=require("../service/status.js"),fs_extra_1=__importDefault(require("fs-extra")),project_file_reader_js_1=require("../../utils/project-file-reader.js"),module_task_service_js_1=require("../service/module-task-service.js");class ModuleTargetData{constructor(e,t,i,r){this._log=ohos_logger_js_1.OhosLogger.getLogger("Target"),this.compileApiVersion=e.getCompileApiMetaByProduct(r.name).version,this.compatibleApiVersion=e.getCompatibleApiMetaByProduct(r.name).version;const s=e.getProductApiMeta(r.name);if(!s)throw new Error(`Can not find product ${r}.`);this._apiMeta=s,this._moduleModel=e,this._target=t,this._pathInfo=i,this._product=r,r.runtimeOS?this._targetStatus=new status_js_1.Status(r):(t.runtimeOS||(this._targetStatus=new status_js_1.Status({runtimeOS:"OpenHarmony"})),this._targetStatus=new status_js_1.Status(t)),this._moduleSourceSetModel=this._moduleModel.getSourceSetByTargetName(t.name)}isHarmonyOS(){var e,t;return null!==(t=null===(e=this._targetStatus)||void 0===e?void 0:e.is(runtime_type_enum_js_1.RuntimeTypeEnum.HARMONY_OS))&&void 0!==t&&t}getApiMeta(){return this._apiMeta}getCompileApiVersion(){return this.compileApiVersion}getCompatibleApiVersion(){return this.compatibleApiVersion}getModuleModel(){return this._moduleModel}getModuleSourceSetModel(){return this._moduleSourceSetModel}getRelatedEntryModules(){return this.getModuleModel().getRelatedEntryModules()}getTargetName(){return this._target.name}getTargetOpt(){return this._target}getPathInfo(){return this._pathInfo}getModuleTargetOutputFileName(e,t,i=build_directory_const_js_1.BuildArtifactExtension.DOT_HAP,r){var s;const o=this._moduleModel.getName(),_=this._moduleModel.getModuleType(),n=this._moduleModel.getRelatedEntryModules(),a=""===e||!module_task_service_js_1.ModuleTaskService.checkEntryModules(_,n)?"":`-${e}`;let u="";if(r===device_type_const_js_1.DeviceTypeConst.LITE&&(u=`-${r}`),null===t)return`${o}${a}-${this._target.name}${u}${i}`;const d=t?"signed":"unsigned",l=null===(s=this._target.output)||void 0===s?void 0:s.artifactName;return l?`${l}${t?"":"-unsigned"}${i}`:`${o}${a}-${this._target.name}${u}-${d}${i}`}getApkName(e=!1){const t=this._moduleModel.getModuleType(this.getTargetName());return e?`${this._moduleModel.getName()}-${this._target.name}-cut-${t}.apk`:`${this._moduleModel.getName()}-${this._target.name}-${t}.apk`}getTargetStatus(){return this._targetStatus}getProduct(){return this._product}findTargetDataByName(e,t){var i;const r=this._moduleModel.getModule().findModuleByName(e);if(void 0===r)return;let s=r.getPluginById(ohos_plugin_id_js_1.OhosPluginId.OHOS_HAP_PLUGIN);return void 0===s&&(s=r.getPluginById(ohos_plugin_id_js_1.OhosPluginId.OHOS_HSP_PLUGIN)),null===(i=s.getTaskService())||void 0===i?void 0:i.findTargetDataByName(t||this.getTargetName())}findRelatedTargetData(e){var t,i;const r=this._moduleModel.getModule().findModuleByName(e);if(void 0===r||this._moduleModel.isHspModule())return;const s=r.getPluginById(ohos_plugin_id_js_1.OhosPluginId.OHOS_HAP_PLUGIN),o=null===(t=s.getTaskService())||void 0===t?void 0:t.findTargetDataByName(this.getTargetName());return null!=o?o:null===(i=s.getTaskService())||void 0===i?void 0:i.findTargetDataByName(common_const_js_1.DefaultTargetConst.DEFAULT_TARGET)}findTargetConfigOpt(e){var t;return(0,array_util_js_1.getElementFromArr)(null===(t=this.getTargetOpt().source)||void 0===t?void 0:t.abilities,e.getName())}getTargetDeviceType(){var e;const t=null===(e=this.getTargetOpt().config)||void 0===e?void 0:e.deviceType;return void 0===t||0===t.length?this._moduleModel.getDeviceTypes():(t.every((e=>this._moduleModel.getDeviceTypes().includes(e)))||ohos_logger_js_1.OhosLogger.getLogger("target")._buildError("Invalid target deviceType.")._solution(`Make sure the deviceType field for the '${this.getTargetName()}' target in the build-profile.json5 file is a subset of deviceType of the module.`)._file(this._moduleModel.getProfilePath())._printErrorAndExit(this._moduleModel.getName()),t)}hasRichDeviceInTarget(){return this.getTargetDeviceType().some((e=>device_type_const_js_1.DeviceTypeConst.RICH_DEVICES.includes(e)))}hasLiteDeviceInTarget(){return this.getTargetDeviceType().some((e=>device_type_const_js_1.DeviceTypeConst.LITE_DEVICES.includes(e)))}isMixedDeviceTarget(){return this.getTargetDeviceType().some((e=>device_type_const_js_1.DeviceTypeConst.LITE_DEVICES.includes(e)))&&this.getTargetDeviceType().some((e=>device_type_const_js_1.DeviceTypeConst.RICH_DEVICES.includes(e)))}isPurerRichDeviceTarget(){return this.getTargetDeviceType().every((e=>device_type_const_js_1.DeviceTypeConst.RICH_DEVICES.includes(e)))}isPurerLiteDeviceTarget(){return this.getTargetDeviceType().every((e=>device_type_const_js_1.DeviceTypeConst.LITE_DEVICES.includes(e)))}isPurerNDeviceTarget(){const e=this._pathInfo.getSyscapJsonPathInfo(this._moduleModel);if(!fs_extra_1.default.existsSync(e))return!1;const t=project_file_reader_js_1.ProjectFileReader.getJson5Obj(e).devices;if(!t)return!1;const i=t.general;return void 0===i||0===i.length}getTargetDeviceTypeClasses(){var e;const t=[];if(void 0===this.getTargetDeviceType()){const t=(null!==(e=this._moduleModel.getProfileOpt().apiType)&&void 0!==e?e:hap_extra_info_js_1.ApiType.STAGE)===hap_extra_info_js_1.ApiType.FA?common_const_js_1.CommonConst.CONFIG_JSON:common_const_js_1.CommonConst.MODULE_JSON5,i=path_1.default.resolve(this._moduleSourceSetModel.getSourceSetRoot(),t),r="The deviceType field is not configured in module.";this._log._buildError(r)._file(i)._printErrorAndExit()}return this.hasLiteDeviceInTarget()&&t.push(device_type_const_js_1.DeviceTypeConst.LITE),this.hasRichDeviceInTarget()&&t.push(device_type_const_js_1.DeviceTypeConst.RICH),this.isPurerNDeviceTarget()&&t.push(device_type_const_js_1.DeviceTypeConst.RICH),t}isSingleDeviceTypeTarget(){return this.isPurerRichDeviceTarget()||this.isPurerLiteDeviceTarget()}}exports.ModuleTargetData=ModuleTargetData;