"use strict";var __importDefault=this&&this.__importDefault||function(o){return o&&o.__esModule?o:{default:o}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.PreCheckSyscap=void 0;const fs_extra_1=__importDefault(require("fs-extra")),path_1=__importDefault(require("path")),common_const_js_1=require("../const/common-const.js"),array_util_js_1=require("../utils/array-util.js"),ohos_logger_js_1=require("../utils/log/ohos-logger.js"),project_file_reader_js_1=require("../utils/project-file-reader.js"),ohos_hap_task_js_1=require("./task/ohos-hap-task.js");class PreCheckSyscap extends ohos_hap_task_js_1.OhosHapTask{constructor(o,e){var s;super(o,e),this._log=ohos_logger_js_1.OhosLogger.getLogger(PreCheckSyscap.name);const t=o.getTargetData().getTargetName();this.sourceRoot=null===(s=this.service.getModuleModel())||void 0===s?void 0:s.getSourceRootByTargetName(t),this.jsonFilePath=path_1.default.resolve(this.sourceRoot,this.service.isFaMode()?common_const_js_1.CommonConst.CONFIG_JSON:common_const_js_1.CommonConst.MODULE_JSON5),this.sysCapJsonPath=path_1.default.resolve(this.sourceRoot,common_const_js_1.CommonConst.SYSCAP_JSON)}doTaskAction(){var o;if(this.targetData.isHarmonyOS())return;const e=this.moduleModel.getJsonProfileByModel(this.service,this.targetName);if(0===e.deviceTypes.length&&!fs_extra_1.default.existsSync(this.sysCapJsonPath)){const o=`The device type defined for the module '${this.moduleName}' is empty and the ${common_const_js_1.CommonConst.SYSCAP_JSON} file is not found because the ${common_const_js_1.CommonConst.PCID_SC} file is not imported.`,e=`Check the ${common_const_js_1.CommonConst.MODULE_JSON5} file of module '${this.moduleName}' or import the ${common_const_js_1.CommonConst.PCID_SC} file.`;this._log._buildError(o)._detail(e)._file(this.jsonFilePath)._printErrorAndExit()}if(fs_extra_1.default.existsSync(this.sysCapJsonPath)){const s=project_file_reader_js_1.ProjectFileReader.getJson5Obj(this.sysCapJsonPath),t=s.devices.general;if(0===e.deviceTypes.length){if(t&&0!==t.length){const o=`The value of '${common_const_js_1.CommonConst.DEVICES_GENERAL}' in the ${common_const_js_1.CommonConst.SYSCAP_JSON} file must be the same as that of '${e.deviceConfig}' in the '${this.moduleName}' ${e.configurationProfile} file.`,s=`Please check whether the '${common_const_js_1.CommonConst.DEVICES_GENERAL}' field in the ${common_const_js_1.CommonConst.SYSCAP_JSON} file and the '${e.deviceConfig}' field  in the '${this.moduleName}' ${e.configurationProfile} are the same.`;this._log._buildError(o)._detail(s)._file(this.sysCapJsonPath)._printErrorAndExit()}}else if(!t||!(0,array_util_js_1.checkArrayElementIsSame)(t,e.deviceTypes)){const o=`Unable to find the '${common_const_js_1.CommonConst.DEVICES_GENERAL}' field or its value is invalid.`,s=`Make sure the '${common_const_js_1.CommonConst.DEVICES_GENERAL}' field is contained in the ${common_const_js_1.CommonConst.SYSCAP_JSON} file and its value must be the same as the value of '${e.deviceConfig}' in the '${this.moduleName}' ${e.configurationProfile} file.`;this._log._buildError(o)._detail(s)._file(this.sysCapJsonPath)._printErrorAndExit()}null===(o=s.devices.custom)||void 0===o||o.forEach((o=>{Object.keys(o).forEach((e=>{var s;null===(s=o[e])||void 0===s||s.forEach((o=>{this.checkFieldRegExp(o,common_const_js_1.CommonConst.DEVICES_CUSTOM,this.sysCapJsonPath)}))}))}));const i=s.production;i&&this.checkProductionSysCapRegExp(i)}}initTaskDepends(){}checkProductionSysCapRegExp(o){if(!o)return;const e=o.addedSysCaps;e&&e.forEach((o=>{this.checkFieldRegExp(o,common_const_js_1.CommonConst.ADDED_SYSCAPS,this.sysCapJsonPath)}));const s=o.removedSysCaps;s&&s.forEach((o=>{this.checkFieldRegExp(o,common_const_js_1.CommonConst.REMOVED_SYSCAPS,this.sysCapJsonPath)}))}checkFieldRegExp(o,e,s){if(!common_const_js_1.ValidateRegExp.SYSTEM_CAPABILITY_REG_EXP.test(o)){const o=`Invalid value of '${e}' in the ${common_const_js_1.CommonConst.SYSCAP_JSON} file.`,t=`Correct the systemCapability in '${e}' based on the schema '${common_const_js_1.ValidateRegExp.SYSTEM_CAPABILITY_REG_EXP}'.`;this._log._buildError(o)._detail(t)._file(s)._printErrorAndExit()}}}exports.PreCheckSyscap=PreCheckSyscap;