"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.CommonSignCommandBuilder=void 0;const fs_1=__importDefault(require("fs")),path_1=__importDefault(require("path")),error_code_map_js_1=require("../../../error/error-code-map.js"),decipher_util_js_1=require("../../../utils/decipher-util.js"),error_url_js_1=require("../../../utils/error-url.js"),ohos_logger_js_1=require("../../../utils/log/ohos-logger.js"),sdk_version_1=require("../../../version/sdk-version");class CommonSignCommandBuilder{constructor(e,i,r,t,o){this._log=ohos_logger_js_1.OhosLogger.getLogger(CommonSignCommandBuilder.name),this._projectModel=e,this._signingConfig=i,this._sdkInfo=r,this._signModel=t,this._signingOptions=o;const s=this._sdkInfo.getToolchainsComponentVersion();void 0!==s&&(this._toolchainsComponentVersion=new sdk_version_1.SdkVersion(s))}getSignCommand(){const e=this._signingConfig.material;return this.checkValidMaterial(e),this.initCommandParams(e),this._signingOptions.addCalledJarFile(this.getSignTool()),this._signingOptions.build()}getKeyStorePwd(){return decipher_util_js_1.DecipherUtil.decryptPwd(path_1.default.resolve(this._signingConfig.material.storeFile,".."),this._signingConfig.material.storePassword)}getKeyPwd(){return decipher_util_js_1.DecipherUtil.decryptPwd(path_1.default.resolve(this._signingConfig.material.storeFile,".."),this._signingConfig.material.keyPassword)}checkValidMaterial(e){const i="Please check signingConfigs in root project build-profile.json5";void 0===e&&this._log._buildError("The material has not been configured in signingConfigs.")._solution(i)._file(this._projectModel.getProfilePath())._errorCode(error_code_map_js_1.ECM.DECE.SERVICE_LOGIC)._printErrorAndExit(this._projectModel.getName()),this.validateMaterial(e.storeFile,i,"storeFile"),this.validateMaterial(e.profile,i,"profile"),this.validateMaterial(e.certpath,i,"certPath"),e.storeFile=this.normalizePath(e.storeFile),e.profile=this.normalizePath(e.profile),e.certpath=this.normalizePath(e.certpath)}normalizePath(e){return path_1.default.isAbsolute(e)?e:path_1.default.resolve(this._projectModel.getProjectDir(),e)}validateMaterial(e,i,r){if(void 0!==e&&fs_1.default.existsSync(this.normalizePath(e)))return;const t=`Invalid ${r} value. Make sure it is not null or empty. The file must be included in '${e}'.`;this._log._buildError(t)._solution(i)._file(this._projectModel.getProfilePath())._errorCode(error_code_map_js_1.ECM.DECE.SERVICE_LOGIC)._printErrorAndExit(this._projectModel.getName())}validateSignType(e){void 0===this._signingConfig.type&&(this._signingConfig.type="OpenHarmony"),this._signingConfig.type!==e&&this._log._buildError(`Signing configuration '${this._signingConfig.name}' does not apply to '${e}'. The HAP installation may fail.`)._solution(`see ${error_url_js_1.ErrorUrl.ERROR_URL.sign}`)._file(this._projectModel.getProfilePath())._errorCode(error_code_map_js_1.ECM.DECE.SERVICE_LOGIC)._printErrorAndExit(this._projectModel.getName())}}exports.CommonSignCommandBuilder=CommonSignCommandBuilder;