"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.FileUtil=void 0;const hvigor_1=require("@ohos/hvigor"),crypto_1=require("crypto"),fs_1=__importDefault(require("fs")),fs_extra_1=__importDefault(require("fs-extra")),node_fs_1=require("node:fs"),os_1=__importDefault(require("os")),path_1=__importDefault(require("path")),semver_1=require("semver"),stream_1=require("stream"),error_code_map_js_1=require("../error/error-code-map.js"),ohos_logger_js_1=require("./log/ohos-logger.js");class FileUtil{static isDirectory(...e){return fs_extra_1.default.statSync(path_1.default.resolve(...e)).isDirectory()}static checkDirWithoutDelete(...e){const t=path_1.default.resolve(...e);fs_extra_1.default.existsSync(t)||fs_extra_1.default.mkdirSync(t,{recursive:!0})}static checkFile(...e){const t=path_1.default.resolve(...e);fs_extra_1.default.existsSync(t)||FileUtil.makeFile(t),fs_extra_1.default.removeSync(t),FileUtil.makeFile(t)}static makeFile(e,t=""){fs_extra_1.default.writeFileSync(e,t)}static deleteFile(e){try{fs_extra_1.default.existsSync(e)&&fs_extra_1.default.removeSync(e)}catch(t){this._log._buildError("Delete file failed, please check and delete file.")._file(e)._errorCode(error_code_map_js_1.ECM.DECE.COMMON_UTILS)._printErrorAndExit()}}static readFile(e){try{if(!fs_extra_1.default.existsSync(e))return;return fs_extra_1.default.readFileSync(e,{encoding:"utf-8"})}catch(t){return void this._log.error(`Please check file at ${e}.`)}}static checkPathLength(e){const t=(0,hvigor_1.maxPathLength)(),r=`\t\t1. Make your project root path shorter.${os_1.default.EOL}`,i=`\t\t2. Simplify your project name.${os_1.default.EOL}`,s=`\t\t3. Simplify your module name.${os_1.default.EOL}`,a=`\t\t4. Configure a shorter target name.${os_1.default.EOL}`;e.length>t&&this._log._buildError(`The length of path exceeds the maximum length: ${t}.`)._solution(`Please try the following solutions:${os_1.default.EOL}${r}${i}${s}${a}`)._file(`'${e}'`)._errorCode(error_code_map_js_1.ECM.DECE.COMMON_UTILS)._printErrorAndExit()}static async hashEntry(e,t){const r=new Map,i=[];return this.readDir(i,e,r,t),await Promise.all(i),r}static readDir(e,t,r,i){const s=fs_extra_1.default.readdirSync(t,{withFileTypes:!0});for(const a of s){const s=path_1.default.resolve(t,a.name);if(!i||i.test(s))if(a.isDirectory())this.readDir(e,s,r,i);else{const t=this.pipelineAsync(r,s);e.push(t)}}}static async pipelineAsync(e,t){return new Promise((r=>{const i=(0,crypto_1.createHash)("md5"),s=(0,node_fs_1.createReadStream)(t);(0,stream_1.pipeline)(s,i,(()=>{e.set(t,i.digest("hex")),r()}))}))}static convertToAbsolutePath(e,t){return path_1.default.isAbsolute(e)?e:path_1.default.resolve(t,e)}static convertToAbsolutePaths(e,t){return e.map((e=>FileUtil.convertToAbsolutePath(e,t)))}static isSubDir(e,t){const r=path_1.default.relative(e,t);return r&&!r.startsWith("..")&&!path_1.default.isAbsolute(r)}static fileExists(e){return fs_1.default.existsSync(e)&&fs_1.default.realpathSync.native(e)===e}static copySpecialFileToTempDir(e,t){fs_extra_1.default.readdirSync(e).forEach((r=>{if(this.checkSpecialFile(r)){const i=path_1.default.resolve(e,r);fs_extra_1.default.statSync(i).isFile()&&fs_extra_1.default.copySync(i,path_1.default.resolve(t,r))}}))}static checkSpecialFile(e){const t=["changelog.md","CHANGELOG.md","readme.md","README.md","readme.OpenSource","README.OpenSource","license","LICENSE"],r=e.split(".")[0];return-1!==t.indexOf(e)||-1!==t.indexOf(r)}static uniqueFileName(e,t){const r=new Map;if(e.forEach((e=>{r.set(e,1)})),r.has(t)){let e=r.get(t);for(;r.has(this.addSuffix(t,e));)e++;r.set(t,e+1);const i=this.addSuffix(t,e);return r.set(i,1),i}return r.set(t,1),t}static addSuffix(e,t){return`${e}${t}`}static traverseFileFolder(e){const t=[];if(!fs_extra_1.default.statSync(e).isDirectory()||!fs_extra_1.default.existsSync(e))return[];return fs_extra_1.default.readdirSync(e).forEach((r=>{const i=path_1.default.join(e,r),s=fs_extra_1.default.statSync(i);s.isDirectory()?this.traverseFileFolder(i):s.isFile()&&t.push(r.split(".")[0])})),t}static getAllFilesFromFolder(e){const t=[];if(!fs_extra_1.default.existsSync(e)||!fs_extra_1.default.statSync(e).isDirectory())return[];return fs_extra_1.default.readdirSync(e).forEach((r=>{const i=path_1.default.join(e,r),s=fs_extra_1.default.statSync(i);s.isDirectory()?this.getAllFilesFromFolder(i):s.isFile()&&t.push(i)})),t}static getFileSuffix(e){const t=path_1.default.parse(e).base;return""===t||-1===t.indexOf(".")?t:t.substring(t.lastIndexOf(".")+1)}static normalizePathSeparator(e){return e.replace(/\\\\/g,"/").replace(/\\/g,"/").replace(/\/:/g,":")}static resolveJsonObjWithoutParam(e,t,r,i,s){for(const a in e)s&&!s.includes(a)||("object"==typeof e[a]&&null!==e[a]?this.resolveJsonObjWithoutParam(e[a],t,r,i):this.replacePackageWithoutParam(e,a,t,r,i));this._log.debug(`jsonObjWithoutParam ${JSON.stringify(e)} at ${r}`)}static replacePackageWithoutParam(e,t,r,i,s){if("string"!=typeof e[t])return;const a=new RegExp(`\\${s}(.*?)(\\s|$)`),o=e[t].match(a);if(!o)return;if(!r||!i)return void this._log._buildError(`${e[t]} corresponding to the parameterFile is not find, Check the parameterFile is valid.`)._printErrorAndExit();const l=o[1].split(".");e[t]=this.findNested(r,l,o[1],i)}static findNested(e,t,r,i){const s=t.shift();if(!s)return void this._log._buildError(`key ${r} does not exist.`)._file(i)._printErrorAndExit();const a=/^[a-zA-Z][a-zA-Z0-9_-]*$/;if(s in e||this._log._buildError(`key ${r} does not exist.`)._file(i)._printErrorAndExit(),t.length)return a.test(s)||this._log._buildError(`The key: ${s} in parameterFile is invalid, only letters, digits, hyphens (-), and underscores (_) are supported, and cannot start with a digit, (-) or (_).`)._file(i)._printErrorAndExit(),"object"!=typeof e[s]&&this._log._buildError(`The value corresponding to the key ${s} must be object.`)._file(i)._printErrorAndExit(),this.findNested(e[s],t,r,i);{"string"!=typeof e[s]&&this._log._buildError(`The value corresponding to the key ${r} must be string.`)._file(i)._printErrorAndExit();const t=e[s].trim();return t&&!/^\s*$/.test(t)||this._log._buildError(`The value corresponding to the key ${r} cannot be empty.`)._file(i)._printErrorAndExit(),"latest"===t||"*"===t?t:((0,semver_1.validRange)(t,{loose:!0,includePrerelease:!0})||this._log._buildError(`Invalid version: ${e[s]} in parameterFile, the version must comply with the semver specifications.`)._printErrorAndExit(),t)}}}exports.FileUtil=FileUtil,FileUtil._log=ohos_logger_js_1.OhosLogger.getLogger("File");