"use strict";var __importDefault=this&&this.__importDefault||function(o){return o&&o.__esModule?o:{default:o}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ApiModel=exports.OneSdkValidator=void 0;const hos_sdkmanager_common_1=require("@ohos/hos-sdkmanager-common"),find_target_product_js_1=require("../common/find-target-product.js"),common_const_js_1=require("../const/common-const.js"),sdk_const_js_1=require("../const/sdk-const.js"),project_build_profile_js_1=require("../options/build/project-build-profile.js"),ohos_logger_js_1=require("./log/ohos-logger.js");var ApiPosition=project_build_profile_js_1.ProjectBuildProfile.ApiPosition,ApiValType=project_build_profile_js_1.ProjectBuildProfile.ApiValType;const os_1=__importDefault(require("os"));class OneSdkValidator{static evlProductRuntimeOS(o){const e=(0,find_target_product_js_1.findTargetProduct)(o),r=o.getTargetRuntimeOSs();if(e.runtimeOS)return e.runtimeOS;return r.filter((o=>o.productName===e.name)).find((o=>o.runtimeOS===common_const_js_1.CommonConst.HARMONY_OS))?common_const_js_1.CommonConst.HARMONY_OS:common_const_js_1.CommonConst.OPEN_HARMONY}static apiInspection(o){const e=(0,find_target_product_js_1.findTargetProduct)(o),r=this.evlProductRuntimeOS(o)===common_const_js_1.CommonConst.HARMONY_OS,i=e.apiMeta.compileSdkVersion,t=e.apiMeta.compatibleSdkVersion,n=e.apiMeta.targetSdkVersion;this.versionCompatibilityCheck(o,r,common_const_js_1.CommonConst.COMPILE_SDK_VERSION,i),this.versionCompatibilityCheck(o,r,common_const_js_1.CommonConst.COMPATIBLE_SDK_VERSION,t),this.versionCompatibilityCheck(o,r,common_const_js_1.CommonConst.TARGET_SDK_VERSION,n),this.versionTypeCheck(o,r,i),this.versionTypeCheck(o,r,t),this.versionTypeCheck(o,r,n);const s=i.version,a=t.version,p=null==n?void 0:n.version;if(i.from===ApiPosition.PRODUCT&&i.version<10&&this._log._buildError("The configuration location of the current API should in App.")._file(o.getProfilePath())._printErrorAndExit(),s<8&&this._log._buildError("Hvigor only works with API version 8 and later versions.")._detail(`Change compileSdkVersion:'${s}'.`)._file(o.getProfilePath())._printErrorAndExit(),r&&e.apiMeta.compileSdkVersion.version>9&&(0===e.apiMeta.compileSdkVersion.type||0===e.apiMeta.compatibleSdkVersion.type||e.apiMeta.targetSdkVersion&&0===e.apiMeta.targetSdkVersion.type)&&this._log._buildError("In the current configuration mode, the value of compileSdkVersion/compatibleSdkVersion/targetSdkVersion must be a character string.")._printErrorAndExit(),this.apiTypeCheck(r,e.compileSdkVersion),this.apiTypeCheck(r,e.compatibleSdkVersion),this.apiTypeCheck(r,e.targetSdkVersion),r&&OneSdkValidator.evlApiModel(e)===ApiModel.ONE_MSF&&this.msfCompare(o,i,t,n),!(p?a<=p&&a<=s&&p<=s:a<=s)){const e="compatibleSdkVersion <= targetSdkVersion <= compileSdkVersion";this._log._buildError(`Configure the API version according to the rule of ${e}.`)._file(o.getProfilePath())._printErrorAndExit()}}static apiTypeCheck(o,e){e&&typeof e==(o?"number":"string")&&this._log._buildError(`In the current configuration mode, the value of compileSdkVersion/compatibleSdkVersion/targetSdkVersion must be a ${o?"character string":"number"}.`)._printErrorAndExit()}static versionTypeCheck(o,e,r){if(!e&&(null==r?void 0:r.type)===ApiValType.NUM)return;if(!r)return;const i=r.version;if(r.type===ApiValType.NUM?i>sdk_const_js_1.ApiVersion.API_VERSION_9:i<sdk_const_js_1.ApiVersion.API_VERSION_9){const e=r.type===ApiValType.NUM?"character string":"number";this._log._buildError(`In the current configuration mode, api of ${i} must be a ${e}.`)._file(o.getProfilePath())._printErrorAndExit()}}static versionCompatibilityCheck(o,e,r,i){if(!e||(null==i?void 0:i.type)===ApiValType.NUM)return;if(!i)return;const t=hos_sdkmanager_common_1.HosVersionMapper.INSTANCE.transferVersionIntoHosVersion(i.api);t?this.isBaseApiEqual(t,i.version)||this._log._buildError(`The platform version (${i.api}) and API version (${i.version}) of ${r} in build-profile.json5 do not match.`)._detail("Correct the values based on the platform and API version mappings (which you can find under Tools > SDK Manager).")._file(o.getProfilePath())._printErrorAndExit():this._log._buildError(`Unable to find the ${r} ${i.api}(${i.version})`)._detail(`${os_1.default.EOL}\t 1. Check the ${r} ${i.api}(${i.version}) is supported in SDK Manager (which you can find under Tools > SDK Manager).${os_1.default.EOL}\t 2. Correct the hvigorVersion to ensure that the current hvigorVersion supports the ${r} ${i.api}(${i.version}).`)._printErrorAndExit()}static isBaseApiEqual(o,e){return o.getBaseApi()===e}static msfCompare(o,e,r,i){let t=OneSdkValidator.compareMsf(e.api,r.api);t<0&&this._log._buildError("compileSdkVersion must be greater than or equal to compatibleSdkVersion.")._file(o.getProfilePath())._printErrorAndExit(),i&&(t=OneSdkValidator.compareMsf(e.api,i.api),t<0&&this._log._buildError("compileSdkVersion must be greater than or equal to targetSdkVersion.")._file(o.getProfilePath())._printErrorAndExit(),t=OneSdkValidator.compareMsf(i.api,r.api),t<0&&this._log._buildError("targetSdkVersion must be greater than or equal to compatibleSdkVersion.")._file(o.getProfilePath())._printErrorAndExit())}static ohosProductApiValid(o){return!!o&&"number"==typeof o&&o<sdk_const_js_1.ApiVersion.API_VERSION_10}static compareMsf(o,e){const r=OneSdkValidator.parseMsf(o),i=OneSdkValidator.parseMsf(e);return r.m!==i.m?r.m>i.m?1:-1:r.s!==i.s?r.s>i.s?1:-1:r.f!==i.f?r.f>i.f?1:-1:0}static parseMsf(o){const e=o.split(".");if(3!==e.length)throw new Error("Invalid MSF version string.");return{m:parseInt(e[0]),s:parseInt(e[1]),f:parseInt(e[2])}}static evlApiModel(o){const e=o.apiMeta.compileSdkVersion,r=o.apiMeta.compatibleSdkVersion;return 1===e.type&&1===r.type&&1===e.from&&1===r.from?ApiModel.ONE_MSF:0===e.from&&0===r.from?ApiModel.ORIGINAL:1===e.from&&1===r.from&&0===e.type&&0===r.type?ApiModel.ONE_NUM:ApiModel.UNDEFINED}}var ApiModel;exports.OneSdkValidator=OneSdkValidator,OneSdkValidator._log=ohos_logger_js_1.OhosLogger.getLogger("OneSdk"),function(o){o[o.ORIGINAL=0]="ORIGINAL",o[o.ONE_MSF=1]="ONE_MSF",o[o.ONE_NUM=2]="ONE_NUM",o[o.UNDEFINED=4]="UNDEFINED"}(ApiModel=exports.ApiModel||(exports.ApiModel={}));